Skip to main content
DELETE
/
v1
/
accounts
/
{account_id}
/
watchlist
Python (SDK)
from finance_dev import FinanceDev, models
import os


with FinanceDev(
    security=models.Security(
        client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
        client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
    ),
) as fd_client:

    fd_client.watchlist.delete_watchlist_by_account_id(account_id="<id>")

    # Use the SDK ...
{
  "error": "<string>",
  "codes": [
    {
      "code": "<string>",
      "description": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

The unique identifier of the trading account

Response

All watchlists deleted successfully